INSERT INTO `$TableName$`(`id`, `device_id`, `created_time`, `collection_time`, `receive_time`, `cas_pressure`,
                          `oil_pressure`, `first_solenoid_status`, `battery_voltage`, `solar_voltage`,
                          `remaining_time_action`, `second_solenoid_status`, `pre_transmission`, `internet_traffic`,
                          `load_factor`, `data_time`, `show_delay`, `open_well_sampling_interval`,
                          `close_well_sampling_interval`, `ctl_model`, `min_pressure`,
                          `max_pressure`, `pressure_min_voltage`, `pressure_max_voltage`, `oil_min`, `oil_max`,
                          `oil_min_voltage`, `oil_max_voltage`, `input_pressure_min_value`, `input_pressure_max_value`,
                          `input_voltage_min_value`, `input_voltage_max_value`, `flow_rate_min_value`,
                          `flow_rate_max_value`,
                          `flow_voltage_min_value`, `flow_voltage_max_value`, `continuous_sampling_interval_duration`,
                          `sensor_signal_effective_level`, `pressure_compensation_polarity_flag`,
                          `pressure_compensation_value_setting`,
                          `oil_pressure_compensation_polarity_flag`, `oil_pressure_compensation_value_setting`,
                          `input_pressure_compensation_polarity_flag`, `input_pressure_compensation_value_setting`,
                          `flow_compensation_polarity_flag`, `flow_compensation_value_setting`,
                          `well_open_time_timestamp`,
                          `well_open_pressure_value`, `well_open_oil_pressure_value`, `well_open_load_factor_presets`,
                          `well_close_time_timestamp`, `well_close_pressure_value`, `well_close_oil_pressure_value`,
                          `well_close_flow_value`, `min_well_open_time_duration`, `max_well_open_time_duration`,
                          `min_well_close_time_duration`, `max_well_close_time_duration`,
                          `pressure_stabilization_duration`,
                          `flow_stabilization_duration`, `load_factor_stabilization_duration`, `plunger_delay_duration`,
                          `plunger_rise_duration`, `continuos_flow_duration`, `well_close_time_duration`,
                          `well_close_time_not_reached_duration`, `well_close_not_reached_count_value`,
                          `plunger_delay_duration_repeat`, `target_time_timestamp`, `target_time_range_value`,
                          `continuos_flow_increase_duration`, `continuos_flow_decrease_duration`,
                          `well_close_increase_duration`,
                          `well_close_decrease_duration`, `min_well_close_time_duration2`,
                          `max_well_close_time_duration2`,
                          `min_continous_flow_time_duration`, `max_continous_flow_time_duration`,
                          `min_well_open_time_duration2`,
                          `max_well_open_time_duration2`, `well_open_pressure_value_at_open`,
                          `well_open_oil_pressure_value_at_open`, `well_open_load_factor_presets_at_open`,
                          `well_close_pressure_value_at_close`, `well_close_oil_ppressure_value_at_close`,
                          `well_close_flow_value_at_close`)
VALUES (?, ?, NOW(), ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
        ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
        ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
ON DUPLICATE KEY UPDATE receive_time=VALUES(receive_time),
                        cas_pressure=VALUES(cas_pressure),
                        oil_pressure=VALUES(oil_pressure),
                        first_solenoid_status=VALUES(first_solenoid_status),
                        battery_voltage=VALUES(battery_voltage),
                        solar_voltage=VALUES(solar_voltage),
                        remaining_time_action=VALUES(remaining_time_action),
                        second_solenoid_status=VALUES(second_solenoid_status),
                        pre_transmission=VALUES(pre_transmission),
                        internet_traffic=VALUES(internet_traffic),
                        load_factor=VALUES(load_factor),
                        data_time=VALUES(data_time),
                        show_delay=VALUES(show_delay),
                        open_well_sampling_interval=VALUES(open_well_sampling_interval),
                        close_well_sampling_interval=VALUES(close_well_sampling_interval),
                        ctl_model=VALUES(ctl_model),
                        min_pressure=VALUES(min_pressure),
                        max_pressure=VALUES(max_pressure),
                        pressure_min_voltage=VALUES(pressure_min_voltage),
                        pressure_max_voltage=VALUES(pressure_max_voltage),
                        oil_min=VALUES(oil_min),
                        oil_max=VALUES(oil_max),
                        oil_min_voltage=VALUES(oil_min_voltage),
                        oil_max_voltage=VALUES(oil_max_voltage),
                        input_pressure_min_value=VALUES(input_pressure_min_value),
                        input_pressure_max_value=VALUES(input_pressure_max_value),
                        input_voltage_min_value=VALUES(input_voltage_min_value),
                        input_voltage_max_value=VALUES(input_voltage_max_value),
                        flow_rate_min_value=VALUES(flow_rate_min_value),
                        flow_rate_max_value=VALUES(flow_rate_max_value),
                        flow_voltage_min_value=VALUES(flow_voltage_min_value),
                        flow_voltage_max_value=VALUES(flow_voltage_max_value),
                        continuous_sampling_interval_duration=VALUES(continuous_sampling_interval_duration),
                        sensor_signal_effective_level=VALUES(sensor_signal_effective_level),
                        pressure_compensation_polarity_flag=VALUES(pressure_compensation_polarity_flag),
                        pressure_compensation_value_setting=VALUES(pressure_compensation_value_setting),
                        oil_pressure_compensation_polarity_flag=VALUES(oil_pressure_compensation_polarity_flag),
                        oil_pressure_compensation_value_setting=VALUES(oil_pressure_compensation_value_setting),
                        input_pressure_compensation_polarity_flag=VALUES(input_pressure_compensation_polarity_flag),
                        input_pressure_compensation_value_setting=VALUES(input_pressure_compensation_value_setting),
                        flow_compensation_polarity_flag=VALUES(flow_compensation_polarity_flag),
                        flow_compensation_value_setting=VALUES(flow_compensation_value_setting),
                        well_open_time_timestamp=VALUES(well_open_time_timestamp),
                        well_open_pressure_value=VALUES(well_open_pressure_value),
                        well_open_oil_pressure_value=VALUES(well_open_oil_pressure_value),
                        well_open_load_factor_presets=VALUES(well_open_load_factor_presets),
                        well_close_time_timestamp=VALUES(well_close_time_timestamp),
                        well_close_pressure_value=VALUES(well_close_pressure_value),
                        well_close_oil_pressure_value=VALUES(well_close_oil_pressure_value),
                        well_close_flow_value=VALUES(well_close_flow_value),
                        min_well_open_time_duration=VALUES(min_well_open_time_duration),
                        max_well_open_time_duration=VALUES(max_well_open_time_duration),
                        min_well_close_time_duration=VALUES(min_well_close_time_duration),
                        max_well_close_time_duration=VALUES(max_well_close_time_duration),
                        pressure_stabilization_duration=VALUES(pressure_stabilization_duration),
                        flow_stabilization_duration=VALUES(flow_stabilization_duration),
                        load_factor_stabilization_duration=VALUES(load_factor_stabilization_duration),
                        plunger_delay_duration=VALUES(plunger_delay_duration),
                        plunger_rise_duration=VALUES(plunger_rise_duration),
                        continuos_flow_duration=VALUES(continuos_flow_duration),
                        well_close_time_duration=VALUES(well_close_time_duration),
                        well_close_time_not_reached_duration=VALUES(well_close_time_not_reached_duration),
                        well_close_not_reached_count_value=VALUES(well_close_not_reached_count_value),
                        plunger_delay_duration_repeat=VALUES(plunger_delay_duration_repeat),
                        target_time_timestamp=VALUES(target_time_timestamp),
                        target_time_range_value=VALUES(target_time_range_value),
                        continuos_flow_increase_duration=VALUES(continuos_flow_increase_duration),
                        continuos_flow_decrease_duration=VALUES(continuos_flow_decrease_duration),
                        well_close_increase_duration=VALUES(well_close_increase_duration),
                        well_close_decrease_duration=VALUES(well_close_decrease_duration),
                        min_well_close_time_duration2=VALUES(min_well_close_time_duration2),
                        max_well_close_time_duration2=VALUES(max_well_close_time_duration2),
                        min_continous_flow_time_duration=VALUES(min_continous_flow_time_duration),
                        max_continous_flow_time_duration=VALUES(max_continous_flow_time_duration),
                        min_well_open_time_duration2=VALUES(min_well_open_time_duration2),
                        max_well_open_time_duration2=VALUES(max_well_open_time_duration2),
                        well_open_pressure_value_at_open=VALUES(well_open_pressure_value_at_open),
                        well_open_oil_pressure_value_at_open=VALUES(well_open_oil_pressure_value_at_open),
                        well_open_load_factor_presets_at_open=VALUES(well_open_load_factor_presets_at_open),
                        well_close_pressure_value_at_close=VALUES(well_close_pressure_value_at_close),
                        well_close_oil_ppressure_value_at_close=VALUES(well_close_oil_ppressure_value_at_close),
                        well_close_flow_value_at_close=VALUES(well_close_flow_value_at_close)
